Bug 994149 - session chooser is broken with lightdm-1.7.9-1.fc20.x86_64
session chooser is broken with lightdm-1.7.9-1.fc20.x86_64
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: lightdm-gtk (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-06 11:11 EDT by Wolfgang Ulbrich
Modified: 2013-08-19 08:38 EDT (History)
5 users (show)

See Also:
Fixed In Version: lightdm-gtk-1.6.0-3.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-18 17:12:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wolfgang Ulbrich 2013-08-06 11:11:19 EDT
Description of problem:
After updating to lightdm-1.7.9-1.fc20.x86_64 the session chooser doesn't display anymore with lightdm-gtk-1.6.0-1.fc20.x86_64.
Means clicking on the icon doesn't have any effect.

Version-Release number of selected component (if applicable):
lightdm-gtk-1.6.0-1.fc20.x86_64

How reproducible:


Steps to Reproduce:
1. Updating lightdm
2. restart the system from rescue mode
3. try to set another session than the last one

Actual results:
I can't switch from last mate session to cinnamon session in lightdm.

Expected results:
This should work

Additional info:
If i use lightdm-kde-1.7.9-1.fc20.x86_64 switching session works well.
So i quess lightdm-gtk needs to be fixed.
Comment 1 Rex Dieter 2013-08-07 08:41:11 EDT
I tested that same combination (albeit local builds) on f19 before updating rawhide.  It all worked well (on f19), and didn't exhibit the problem you describe. :(

Will hopefully have time to whip up a real rawhide box here soon, and do some testing of my own...
Comment 2 Dan Mashal 2013-08-18 15:11:25 EDT
Reproduced,
Comment 3 Rex Dieter 2013-08-18 17:12:57 EDT
lightdm-gtk-1.6.0-3 rebuilt against lightdm-1.7.x reportedly fixes this. 

Mustve been some silent abi breakage in lightdm-gobject bindings
Comment 4 Wolfgang Ulbrich 2013-08-19 04:29:38 EDT
This update fix only partially the issue.
After a system start the session-, and language-switcher displayed correctly and are working.
But if i logout from session or try to switch the user, lightdm only displayed the 'unlock' mask instead of normal login window.
Also session-, and language-switcher won't be displayed.
I quess this is maybe another issue.
Comment 5 Wolfgang Ulbrich 2013-08-19 06:06:36 EDT
For the record, same happend if i logout or switch user from cinnamon.
Starting the system again from rescue mode is the only way to get the normal login window back.
Comment 6 leigh scott 2013-08-19 08:08:14 EDT
session-switcher is still broken here, tbh I see no difference with lightdm-gtk-1.6.0-3
Comment 7 Rex Dieter 2013-08-19 08:38:02 EDT
switching and chooser are fairly different items, lets get a new bug for the switcher thing.

Note You need to log in before you can comment on or make changes to this bug.